## org.biojava.stats.svm.tools
Class SuffixTreeKernel.NullModelScaler

    java.lang.Object
      org.biojava.stats.svm.tools.SuffixTreeKernel.NullModelScaler

All Implemented Interfaces:
  Serializable, SuffixTreeKernel.DepthScaler

Enclosing class:
  SuffixTreeKernel

    public static class SuffixTreeKernel.NullModelScaler

extends Object
implements SuffixTreeKernel.DepthScaler, Serializable

Scales by 4^depth - equivalent to dividing by a probablistic flatt prior null model

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`SuffixTreeKernel.NullModelScaler()`

Method Summary
`double` `getScale(int depth)` Retrieve the scaling factor at a given depth

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuffixTreeKernel.NullModelScaler

    public SuffixTreeKernel.NullModelScaler()

Method Detail

### getScale

    public double getScale(int depth)

  Description copied from interface: `SuffixTreeKernel.DepthScaler`
  Retrieve the scaling factor at a given depth

  Specified by:
    `getScale` in interface `SuffixTreeKernel.DepthScaler`
  Parameters:
    `depth` - word length
  Returns:
    the scaling factor for the subspace at that length